Next Commerce
Campaigns

Campaigns Offers List

List every offer on the campaign.

GET
/campaigns/{id}/offers/

Authorization

oauth2 campaigns:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: campaigns:read

Path Parameters

id*integer

Campaign ID.

Query Parameters

available?boolean

Indicates whether the offer is available for use.

  • true - The offer is available
  • false - The offer is not available
cursor?string

The pagination cursor value.

name?string

Offer name contains this text, case-insensitive.

offer_type?Type

How the offer is applied.

  • offer - Automatically applies when the offer condition is met.
  • voucher - Applies only when the customer enters the specified voucher code.

Value in

  • "offer"
  • "voucher"
page_size?integer

Number of results to return per page.

Header Parameters

X-29next-API-Version*"unstable"
Default"unstable"

Value in

  • "unstable"

Response Body

application/json

curl -X GET "https://example.com/campaigns/0/offers/" \  -H "X-29next-API-Version: unstable"
{  "next": "http://example.com",  "previous": "http://example.com",  "results": [    {      "available": true,      "benefit": {        "description": "string",        "price_rounding": "0.00",        "type": "package_percentage",        "value": "string"      },      "code": "string",      "condition": {        "description": "string",        "type": "any",        "value": "string"      },      "id": 0,      "name": "string",      "offer_type": "offer"    }  ]}